Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 10 Feb 2020 08:50:44 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-user@freebsd.org
Subject:   svn commit: r357719 - user/pho/stress2/misc
Message-ID:  <202002100850.01A8oiim054186@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Mon Feb 10 08:50:43 2020
New Revision: 357719
URL: https://svnweb.freebsd.org/changeset/base/357719

Log:
  Added comment about problem found. If umount fails, do not loop forever.
  Returen fsck exit code.

Modified:
  user/pho/stress2/misc/suj33.sh

Modified: user/pho/stress2/misc/suj33.sh
==============================================================================
--- user/pho/stress2/misc/suj33.sh	Mon Feb 10 08:48:36 2020	(r357718)
+++ user/pho/stress2/misc/suj33.sh	Mon Feb 10 08:50:43 2020	(r357719)
@@ -31,6 +31,10 @@
 # Test "umount" of active file system
 # Triggers "fsync: giving up on dirty" with ease.
 
+# umount -f fails with
+# "softdep_waitidle: Failed to flush worklist for 0xfffff80308cea000"
+# Fixed by r356763
+
 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
 
 . ../default.cfg
@@ -50,11 +54,15 @@ su $testuser -c '(cd ..; ./run.sh disk.cfg)' > /dev/nu
 sleep 20
 umount $mntpoint
 kill $!
-../tools/killall.sh
+../tools/killall.sh || exit
 wait
 
-while mount | grep -q "$mntpoint "; do
-	umount $mntpoint || sleep 1
+for i in `jot 6`; do
+	mount | grep -q "on $mntpoint " || break
+	umount $mntpoint && break || sleep 10
+	[ $i -eq 6 ] &&
+	    { echo FAIL; fstat -mf $mntpoint; exit 1; }
 done
-checkfs /dev/md${mdstart}$part
+checkfs /dev/md${mdstart}$part; s=$?
 mdconfig -d -u $mdstart
+exit $s



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?202002100850.01A8oiim054186>